                  /*********************************/
                  /*              NOTE             */
                  /*                               */
                  /* This sample code has been     */
                  /* provided by IBM.  It is not   */
                  /* warranted for any particular  */
                  /* use or purpose.               */
                  /*                               */
                  /* IBM releases this code into   */
                  /* the public domain.  You may   */
                  /* use it, modify it, or         */
                  /* incorporate it into other     */
                  /* products without restriction. */
                  /*********************************/
/* external include file for use by callers of the hlrfio routines */

#ifndef INCL_BASEINCLUDED
  #define INCL_BASE
  #include <os2.h>
#endif

#define LOGMSGFILEEVAR     "LOG_MESSAGE_FILE"
#define DEFAULTLOGMSGFILE  "rfio.msg"
#define LOGFILEEVAR        "LOG_FILE"
#define DEFAULTLOGFILENAME "ainst.log"

/***************************************************************************/
/*             Function prototypes                                         */
/***************************************************************************/
UINT RFOpen(char *pszFilename);
UINT RFClose(void);
UINT RFGetNextKeyword(char **ppszKw, char **ppszVal, UINT *puiType);
UINT RFGetNextKwdInList(char **ppszStart, char **ppszKw, char **ppszVal,
                        UINT *puiType);
char *RFCopyString(char *string);
void *RFCopyList(void *from);
void *RFMergeLists(void *list1, void *list2);
UINT RFSizeOfList(void *list);

/***************************************************************************/
/*             Message file message numbers                                */
/***************************************************************************/
#define HRF_OOS_ERROR             1
#define HRF_OPEN_MAIN_FILE_ERROR  2
#define HRF_SYNTAX_ERROR          3
#define HRF_DOSIO_ERROR           4
#define HRF_OPEN_IMBED_FILE_ERROR 5
#define HRF_BAD_GETNEXT_RC        6
#define HRF_LIST_OOS_ERROR        7
#define HRF_LIST_SYNTAX_ERROR     8
#define HRF_LIST_DOSIO_ERROR      9
#define HRF_BAD_LGETNEXT_RC      10

/***************************************************************************/
/*             Types of values returned by GetNext functions               */
/***************************************************************************/
#define RFHLIST   13
#define RFHSTRING  0

/***************************************************************************/
/*             Return codes returned by the high-level APIs                */
/***************************************************************************/
#define RFH0       0
#define RFHEOF     2
#define RFHERR     3
